import { createApp } from 'vue'
// 选择需要的组件[7](@ref)
import '@/assets/main.scss'
import App from './App.vue'
import router from './router'
// 引入echarts
import * as echarts from 'echarts'
// 引入IconPark
import '@icon-park/vue-next/styles/index.css'
import pinia from '@/stores/index'

const app = createApp(App)
// vue3 给原型上挂载属性
app.config.globalProperties.$echarts = echarts
app.use(pinia)
app.use(router)

app.mount('#app')
